' HIROLLER.BAS
' This program rolls one simulated die 10 times and displays the
'   message "Nice Roll!" if the die shows 6.

CLS

INPUT "Press Enter to roll the die 10 times.  Think six...", dummy$
PRINT

RANDOMIZE TIMER

FOR i% = 1 TO 10
    roll% = INT(RND * 7)
    PRINT "Roll: "; roll%,
    IF (roll% = 6) THEN
        COLOR 2
        PRINT "Nice Roll!"
        COLOR 7
    ELSE
        PRINT
    END IF
NEXT i%

